complexType "NettedTradeCashflowsMatchResult"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | complex, 3 attributes, 11 elements
Defined: | globally in fpml-reconciliation-5-3.xsd; see XML source
Includes: | definitions of 5 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...
fpmlVersion | = | xsd:token
expectedBuild | = | xsd:positiveInteger
actualBuild | = | "4"
| >
Content: | header?, validation*, parentCorrelationId?, correlationId?, sequenceNumber??, onBehalfOf[0..4]?, status?, ((assertedCashflow?, proposedMatch*) | allegedCashflow?), party*
</...>

Content Model Elements (11):

  allegedCashflow (in nettedTradeCashflowsMatchResult), assertedCashflow (in nettedTradeCashflowsMatchResult), correlationId, header (defined in ResponseMessage complexType), onBehalfOf (defined in OnBehalfOf.model group), parentCorrelationId, | party (in nettedTradeCashflowsMatchResult), proposedMatch (in nettedTradeCashflowsMatchResult), sequenceNumber (defined in Sequence.model group), status (in nettedTradeCashflowsMatchResult), validation

All Direct / Indirect Based Elements (1):

  nettedTradeCashflowsMatchResult

Known Usage Locations

- As direct type of elements (1):
  nettedTradeCashflowsMatchResult

Annotation
Message for sending match results. Response message that returns the status of the set of cashflows for multiple trades that have been reconciled.
Type Definition Detail

Type Derivation Tree Document (extension) Message (extension) ResponseMessage (extension) NettedTradeCashflowsMatchResult

XML Source (w/o annotations (6); see within schema source)

<xsd:complexType name="NettedTradeCashflowsMatchResult"> <xsd:complexContent> <xsd:extension base="ResponseMessage"> <xsd:sequence> <xsd:element minOccurs="0" name="status" type="TradeCashflowsStatus"/> <xsd:choice> <xsd:sequence> <xsd:element minOccurs="0" name="assertedCashflow" type="AssertedNettedCashflow"/> <xsd:element maxOccurs="unbounded" minOccurs="0" name="proposedMatch" type="NettedTradeCashflowsProposedMatch"/> </xsd:sequence> <xsd:element minOccurs="0" name="allegedCashflow" type="AllegedNettedCashflow"/> </xsd:choice> <xsd:element maxOccurs="unbounded" minOccurs="0" name="party" type="Party"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 5/11)
allegedCashflow

  Type: | AllegedNettedCashflow, complex content

  Cashflow (or set of cashflows for cross-currency swap) asserted by the "other side's" party.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="allegedCashflow" type="AllegedNettedCashflow"/>

assertedCashflow

  Type: | AssertedNettedCashflow, complex content

  Cashflow (or set of cashflows for cross-currency swap) asserted by one of the parties.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="assertedCashflow" type="AssertedNettedCashflow"/>

party

  Type: | Party, complex content

  One party element for each of the principal parties and any other party that is referenced.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="party" type="Party"/>

proposedMatch

  Type: | NettedTradeCashflowsProposedMatch, complex content

  "Other side's" cashflow that meets the minimimum matching criteria and is proposed as match to the cashflow that is being asserted.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="proposedMatch" type="NettedTradeCashflowsProposedMatch"/>

status

  Type: | TradeCashflowsStatus, simple content

  Reconciliation status of the set of cashflows.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="status" type="TradeCashflowsStatus"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.